LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 03-12-2019, 08:33 AM   #1
newbie88
LQ Newbie
 
Registered: Mar 2019
Posts: 4

Rep: Reputation: Disabled
Unhappy Uninstall software from vendor on Red Hat


Hi all

I am a civil engineering student using centOS on my desktop.

I feel really a bit silly asking this but I can't seem to figure this out. Recently I installed ENVI which is an image analysis software I am using for a class. Now I am done using it and I want to uninstall it. But I am not sure how.

I installed it using instructions from my university. I had a tar.gz file that I extracted and then installed using ./install.sh.

I just want to make sure I am uninstalling it cleanly without affecting anything else on the machine. I googled it and there are installation instructions for the software, but no uninstall instructions. Would I uninstall it using the RPM commands or something else? This I don't understand because I didn't install it via RPM. Any help is appreciated.
 
Old 03-12-2019, 07:34 PM   #2
RockDoctor
Senior Member
 
Registered: Nov 2003
Location: Minnesota, US
Distribution: Fedora, Ubuntu, Manjaro
Posts: 1,791

Rep: Reputation: 427Reputation: 427Reputation: 427Reputation: 427Reputation: 427
Unless you've also got a file called uninstall.sh in your home directory, it's probably time to examine the code for install.sh to see either (a) if it offers an uninstall option or (b) where it installed ENVI so you can uninstall it manually.
 
Old 03-13-2019, 04:52 AM   #3
hydrurga
LQ Guru
 
Registered: Nov 2008
Location: Pictland
Distribution: Linux Mint 21 MATE
Posts: 8,048
Blog Entries: 5

Rep: Reputation: 2925Reputation: 2925Reputation: 2925Reputation: 2925Reputation: 2925Reputation: 2925Reputation: 2925Reputation: 2925Reputation: 2925Reputation: 2925Reputation: 2925
Are you able to paste those installation instructions here?
 
Old 03-13-2019, 10:24 AM   #4
newbie88
LQ Newbie
 
Registered: Mar 2019
Posts: 4

Original Poster
Rep: Reputation: Disabled
thank you both, here were the instructions for installing the software.

1. Unpack and uncompress the files:

Web download: Uncompress the filename.tar.gz archive file that was downloaded to your computer, then unpack the file:

gunzip filename.tar.gz
tar -xf filename.tar

2. Start the installer with one of these commands:

Web download: ./install.sh

3. Follow the prompts to install the software.

I got the installer from my university.

I do not see an uninstall.sh. It looks like it put the installation in /home and I see the directory for the software. Is there anything wrong with just going 'rmdir' on the directory if there is not an uninstall script, or is there a cleaner way to do this, in general, when there is not an uninstall option for software?
 
Old 03-13-2019, 10:30 AM   #5
sevendogsbsd
Senior Member
 
Registered: Sep 2017
Distribution: FreeBSD
Posts: 2,252

Rep: Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011
If the install script ONLY put files in directory under your /home and did not change any other external configuration files, it should be safe to delete the directory. Best to read through the install script first to see what it actually did.
 
Old 03-13-2019, 11:03 AM   #6
newbie88
LQ Newbie
 
Registered: Mar 2019
Posts: 4

Original Poster
Rep: Reputation: Disabled
I am reading through the install script and this is what it says. I remember when I ran the installer I specified that I wanted it in my /home directory. Reading through this text, I think I can confirm that /home was the only space where something was installed, could someone take a look at this for a sanity check? The only thing I don't understand is where it says INSTALL_DIR then points to /usr/local, but I just went there to check and there is no folder. Maybe that is where it installs the software if you do not specify another location.

Thanks a lot for the pointers. I am new to Linux and I don't know if I'll use it much in my career, in most of my core classes so far we are using Autocad, but it's always good to learn something new in case I run across this sometime


#!/bin/sh
#
# $Id:
#
# This script will install Exelis VIS products for Unix.
#

yesno()
{
#
# This script asks a y/n question of the user:
#
# $* - The y/n question to ask, without the "(y/n) ?" at the end.
#
# A 0 is echoed for "no", a 1 for "yes".
#

if [ "`echo -n testing123`" = "testing123" ]; then
ECHO_NONL="echo -n"
ECHO_NONL_TAIL=
else
ECHO_NONL=echo
ECHO_NONL_TAIL=\\c
fi


RESP=""
while [ "$RESP" != y -a "$RESP" != n ]
do
$ECHO_NONL "$*? (y/n): $ECHO_NONL_TAIL" > /dev/tty
read RESP
RESP=`echo $RESP | tr '[A-Z]' '[a-z]'`
if [ "$RESP" != y -a "$RESP" != n ]; then
echo " <Please answer y for yes or n for no>" > /dev/tty
fi
done
if [ "$RESP" = y ]; then
return 1
else
return 0
fi

}

tar_unpack()
{
# This unpacks tar file
# $1 - file to untar
# $2 - String to echo

FILENAME=$1
DISPLAY_STRING=$2

echo "Unpacking $DISPLAY_STRING ..."

gunzip -c $FILENAME | $TAR $TAR_OPTIONS -

if [ $? != 0 ]; then
echo "$SCRIPT: error untarring $FILENAME in $INSTALL_DIR."
fi

}

SILENT_INSTALL=0
NO_JAVA_INSTALL=0

while getopts ":sj" opt; do
case $opt in
s)
SILENT_INSTALL=1
;;
j)
NO_JAVA_INSTALL=1
;;
\?)
echo "Invalid option: -$OPTARG" >&2
;;
esac
done

#######################################################
# Installation
########################################################
USER=`whoami`
SCRIPT=`basename $0`
OSNAME=`uname`
MACHINENAME=`hostname`

WEB_INSTALL=0
INSTALL_DIR="/usr/local/harris"
INSTALL_DICOM=0
INSTALL_LINUX=0
NO_SYMLINKS=0
INSTALL_DARWIN=0
INSTALL_IDL_HELP=0
INSTALL_IDL_ENVI_HELP=0
POST_UNPACK_OPTIONS=

INS_TYPE="ENVI"
INS_NAME="ENVI"

IDL_VERSION=87
IDL_VERSION_MAIN_NAME="8.7"
IDL_VERSION_NAME="8.7.2"
ENVI_VERSION=55
ENVI_VERSION_MAIN_NAME="5.5"
ENVI_VERSION_NAME="5.5.2"
ENVIBIN=envi$ENVI_VERSION/bin

LINUX_TEXT=" Linux - X86 (64-bit)"

if [ "$INS_TYPE" = "IDL" ]; then
IDLBIN=idl$IDL_VERSION/bin
PROD_VERSION=$IDL_VERSION
PROD_VERSION_NAME=$IDL_VERSION_NAME
PROD_VERSION_MAIN_NAME=$IDL_VERSION_MAIN_NAME
PROD_NAME=$INS_NAME
PROD_FULL_NAME="$PROD_NAME $PROD_VERSION_NAME"
PROD_BIN=$IDLBIN
EXIST_TESTFILE=$IDLBIN/idl
fi

if [ "$INS_TYPE" = "ENVI" ]; then
IDLBIN=envi$ENVI_VERSION/idl$IDL_VERSION/bin
PROD_VERSION=$ENVI_VERSION
PROD_VERSION_NAME=$ENVI_VERSION_NAME
PROD_VERSION_MAIN_NAME=$ENVI_VERSION_MAIN_NAME
PROD_NAME=$INS_NAME
PROD_FULL_NAME="$PROD_NAME $PROD_VERSION_NAME"
PROD_BIN=$ENVIBIN
EXIST_TESTFILE=$ENVIBIN/envi
fi

if [ "$INS_TYPE" = "ORTHO" ]; then
PROD_FULL_NAME="ENVI Photogrammetry 5.5.2"
PROD_BIN=$ENVIBIN
fi

if [ "$INS_TYPE" = "FLEXNET" ]; then
PROD_FULL_NAME="FlexNet Server 1.0"
PROD_BIN=$ENVIBIN
fi

if [ -f /bin/chown ]; then
CHOWN=/bin/chown
else
if [-f /etc/chown]; then
CHOWN=/etc/chown
else
CHOWN=/usr/sbin/chown
fi
fi

if [ \( -f /bin/dirname \) -o \( -f /usr/bin/dirname \) ]; then
UDIR=`dirname $0`
else
UDIR=`echo $0 | awk -F\/ '{if(NF==1)
printf(".\n");else{for(i=1;i<NF;i++){if(i>1)printf("%s","/"); printf("%s",$i) ;}printf("\n")}}'`
fi

if [ "$UDIR" = "." ]; then
UDIR=`pwd`
fi

if [ -f "$UDIR/install/web" ]; then
WEB_INSTALL=1
fi

if [ \( "$OSNAME" = "SunOS" \) ]; then
gtar --version > /dev/null 2>&1
if [ $? != 0 ]; then
echo "gtar was not found. Please be sure gtar is installed on yo ur system and included in your PATH."
exit 1
else
TAR="gtar"
fi
else
TAR="tar"
fi

if [ \( "$WHOAMI" != "root" \) ]; then
TAR_OPTIONS="-xf"
else
TAR_OPTIONS="-xpf"
fi

#----------
#Platform Files
#----------

if [ \( "$INS_TYPE" = "ENVI" \) ]; then
ENVI_TAR_DARWIN_X86_64="envi.bin.darwin.x86_64.tar.gz"
ENVI_TAR_LINUX="envi.bin.linux.x86_64.tar.gz"
ENVILIDAR_TAR_LINUX="envilidar.bin.linux.x86_64.tar.gz"
ENVI_TAR_MAC_APPLESCRIPTS="envi_mac_applescripts.tar.gz"
ENVI_TAR_CLASSIC_HELP="envi_classic_help.tar.gz"
ENVI_TAR_HELP="envi_help.tar.gz"
fi

TAR_DARWIN_X86_64="bin.darwin.x86_64.tar.gz"
TAR_LINUX="bin.linux.x86_64.tar.gz"
TAR_ORTHO_BASE="ortho_base.tar.gz"
TAR_FLEXNET_BASE="flexnet_base.tar.gz"

# Display Exelis EULA. Must accept to continue.
#-------------------------------------------
if [ "$SILENT_INSTALL" = 1 ]; then
if [ \( "$INS_TYPE" = "ENVI" \) ]; then
cat "$UDIR"/install/envi/harris_eula.txt
else
cat "$UDIR"/install/idl/harris_eula.txt
fi
else
if [ \( "$INS_TYPE" = "ENVI" \) ]; then
cat "$UDIR"/install/envi/harris_eula.txt |more
else
cat "$UDIR"/install/idl/harris_eula.txt |more
fi
fi
if yesno "Do you accept all of the terms of the preceding license agreement"; then
exit 1
fi

echo "
----------------------------------------
$PROD_FULL_NAME Installer
----------------------------------------"
# Read in INSTALL_DIR
#-------------------------------------------
echo ""
echo "Please enter the directory to install in

(e.g. "/usr/local/harris ")
"
read DIR_NAME

if [ "$DIR_NAME" != "" ]; then
INSTALL_DIR=$DIR_NAME
fi

#--------------------------------------------------------------
# Read in INSTALL_DIR if it's not specified.
# echo ""
# if [ "$INSTALL_DIR" = "" ]; then
# echo "Please enter the directory containing ENVI $ENVI_VERSION:

# (e.g. "/usr/local/harris ")
# "
# read INSTALL_DIR
# fi


if [ ! -d "$INSTALL_DIR" ]; then
mkdir -p $INSTALL_DIR
if [ $? != 0 ]; then
echo "
The $INSTALL_DIR directory does not exist and could not be created.
Please create this directory prior to running this script."
exit 1
fi
fi

#---------------------------
#Check for write permissions
#---------------------------
if [ ! -w $INSTALL_DIR ]; then
echo "
$SCRIPT: $INSTALL_DIR does not have write permissions.
Please correct the permissions and run this script again.
"
exit 1
fi


# Change to the installation directory
#---------------------------
cd $INSTALL_DIR

#---------------------------
# Check for existing envi installation for ortho installer
#---------------------------
if [ "$INS_TYPE" = "ORTHO" ]; then
if [ \( -d $INSTALL_DIR/envi$ENVI_VERSION \) ]; then
ENVI_INST_VER=`cat $INSTALL_DIR/envi$ENVI_VERSION/version.txt`
if [ $ENVI_INST_VER != "552" ]; then
echo "
Directory $INSTALL_DIR contains a version of ENVI that is not compatible with EN VI Photogrammetry.
Please install ENVI 5.5.2 prior to this installation.
"
exit 1
fi
else
echo "ENVI $ENVI_VERSION is required to be installed prior to installing ENV I Photogrammetry. This directory does not contain an ENVI distribution or the co rrect version of ENVI.
Please locate the directory containing ENVI $ENVI_VERSION and run this script ag ain. If ENVI Platform installer is not installed, please install prior to runnin g this script."
exit 1
fi
fi

if [ \( "$INS_TYPE" != "ORTHO" \) -a \( "$INS_TYPE" != "FLEXNET" \) ]; then
# Do a quick check to see if the CD ROM is really where we think it is.
if [ \( ! -f $UDIR/install/idl/required/base1.tar.gz \) ]; then
echo "Unable to locate tar files. Please execute this script using a full pa th."
exit 1
fi
fi

Last edited by newbie88; 03-15-2019 at 02:44 PM.
 
Old 03-13-2019, 01:33 PM   #7
hydrurga
LQ Guru
 
Registered: Nov 2008
Location: Pictland
Distribution: Linux Mint 21 MATE
Posts: 8,048
Blog Entries: 5

Rep: Reputation: 2925Reputation: 2925Reputation: 2925Reputation: 2925Reputation: 2925Reputation: 2925Reputation: 2925Reputation: 2925Reputation: 2925Reputation: 2925Reputation: 2925
According to the installer, it appears to have asked you where you wanted to install the application during the install process. You should just delete that directory. There *may* be a few remnants around the place but they probably won't do any harm and your best bet would be to work through the script to find out where they are, search your filesystem for "envi" or equivalent, or ask your university how you install it.
 
Old 03-13-2019, 01:36 PM   #8
sevendogsbsd
Senior Member
 
Registered: Sep 2017
Distribution: FreeBSD
Posts: 2,252

Rep: Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011Reputation: 1011
OP - try to use code tags in your post next time if including code because it makes it easier to read. Thanks.
 
Old 03-15-2019, 02:52 PM   #9
newbie88
LQ Newbie
 
Registered: Mar 2019
Posts: 4

Original Poster
Rep: Reputation: Disabled
Just wanted to stop in and say thanks, I got it uninstalled on Wednesday and did not break anything Learned a lot browsing these forums, now on to install a few more programs (freecad maybe) for practice! I will remember to use code tags next time, sorry about that.
 
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
LXer: Red Hat powers cloud-scale DevOps with the general availability of Red Hat Cloud Suite and Red Hat OpenStack Platform 8 LXer Syndicated Linux News 0 04-20-2016 04:20 PM
How to get vendor-string or vendor-class from a dhcp client. dhonnoll78 Linux - Networking 1 09-08-2010 11:42 PM
LXer: Red Hat Joins Interop Vendor Alliance LXer Syndicated Linux News 0 02-14-2007 05:01 AM
LXer: Linux Certification: Vendor-Specific or Vendor Neutral LXer Syndicated Linux News 0 01-19-2007 09:33 AM
LXer: Red Hat Ranked Industrys Most Valued Vendor LXer Syndicated Linux News 0 01-09-2006 08:31 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 03:02 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration